Debian Bug report logs - #583263
pyaimt: Fix for 'exceptions.ValueError: too many values to unpack'

version graph

Package: python-twisted-words; Maintainer for python-twisted-words is Matthias Klose <doko@debian.org>; Source for python-twisted-words is src:twisted.

Reported by: ian <ian@comtek.co.uk>

Date: Wed, 26 May 2010 17:39:01 UTC

Severity: important

Tags: patch

Found in version twisted-words/10.0.0-2

Fixed in version twisted-words/10.2.0-1

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#583263; Package pyaimt. (Wed, 26 May 2010 17:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to ian <ian@comtek.co.uk>:
New Bug report received and forwarded. Copy sent to Michal Čihař <nijel@debian.org>. (Wed, 26 May 2010 17:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ian <ian@comtek.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pyaimt: Fix for 'exceptions.ValueError: too many values to unpack'
Date: Wed, 26 May 2010 18:30:40 +0100
Package: pyaimt
Version: 0.8.0.1-2
Severity: important
Tags: patch

AIM messages couldn't be sent (though receiving worked). We were seeing errors like:
[2010-05-26 16:18:46] Traceback (most recent call last):
          File "/usr/lib/python2.5/site-packages/twisted/python/log.py", line 84, in callWithLogger
            return callWithContext({"system": lp}, func, *args, **kw)
          File "/usr/lib/python2.5/site-packages/twisted/python/log.py", line 69, in callWithContext
            return context.call({ILogContext: newCtx}, func, *args, **kw)
          File "/usr/lib/python2.5/site-packages/twisted/python/context.py", line 59, in callWithContext
            return self.currentContext().callWithContext(ctx, func, *args, **kw)
          File "/usr/lib/python2.5/site-packages/twisted/python/context.py", line 37, in callWithContext
            return func(*args,**kw)
        --- <exception caught here> ---
          File "/usr/lib/python2.5/site-packages/twisted/internet/epollreactor.py", line 210, in _doReadOrWrite
            why = selectable.doRead()
          File "/usr/lib/python2.5/site-packages/twisted/internet/tcp.py", line 460, in doRead
            return self.protocol.dataReceived(data)
          File "/usr/lib/python2.5/site-packages/twisted/words/xish/xmlstream.py", line 75, in dataReceived
            self.stream.parse(data)
          File "/usr/lib/python2.5/site-packages/twisted/words/xish/domish.py", line 759, in parse
            self.parser.Parse(buffer)
          File "/usr/lib/python2.5/site-packages/twisted/words/xish/domish.py", line 780, in _onStartElement
            e = Element(qname, self.defaultNsStack[-1], attrs, self.localPrefixes)
          File "/usr/lib/python2.5/site-packages/twisted/words/xish/domish.py", line 404, in __init__
            self.uri, self.name = qname
        exceptions.ValueError: too many values to unpack

I managed to 'fix' the problem, by changing line 762 of domish.py:
   qname = name.split(" ")
to:
   qname = name.replace('  ', ' ').split(" ")

Because we were seeing values of name like [note the double space]:
   http://www.xmpp.org/extensions/xep-0084.html#ns-data  data

which caused qname to contain more than 2 elements, later breaking the tuple unpacking.

At this point I should warn: While this change fixed pyaimt for us I have no understanding of the protocol and its entirely possible that my fix is totally inappropriate.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686-bigmem (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages pyaimt depends on:
ii  adduser                       3.112      add and remove users and groups
ii  lsb-base                      3.2-23.1   Linux Standard Base 3.2 init scrip
ii  python                        2.5.2-3    An interactive high-level object-o
ii  python-crypto                 2.1.0-2    cryptographic algorithms and proto
ii  python-openssl                0.10-1     Python wrapper around the OpenSSL 
ii  python-support                1.0.8      automated rebuilding support for P
ii  python-twisted                10.0.0-3   Event-based framework for internet
ii  python-twisted-web            10.0.0-1   An HTTP protocol implementation to
ii  python-twisted-words          10.0.0-2   Chat and Instant Messaging

Versions of packages pyaimt recommends:
ii  python-imaging               1.1.7-1+b1  Python Imaging Library
ii  python-mysqldb               1.2.2-10+b1 A Python interface to MySQL
ii  python-nevow                 0.10.0-1    Web application templating system 

Versions of packages pyaimt suggests:
ii  ejabberd                      2.1.3-1    distributed, fault-tolerant Jabber

-- Configuration Files:
/etc/pyaimt.conf.xml changed [not included]

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#583263; Package pyaimt. (Thu, 03 Jun 2010 07:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <nijel@debian.org>:
Extra info received and forwarded to list. (Thu, 03 Jun 2010 07:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 583263@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: ian <ian@comtek.co.uk>, 583263@bugs.debian.org
Subject: Re: Bug#583263: pyaimt: Fix for 'exceptions.ValueError: too many values to unpack'
Date: Thu, 3 Jun 2010 09:38:29 +0200
[Message part 1 (text/plain, inline)]
Hi

Dne Wed, 26 May 2010 18:30:40 +0100
ian <ian@comtek.co.uk> napsal(a):

> AIM messages couldn't be sent (though receiving worked). We were seeing errors like:
> [2010-05-26 16:18:46] Traceback (most recent call last):
>           File "/usr/lib/python2.5/site-packages/twisted/python/log.py", line 84, in callWithLogger
>             return callWithContext({"system": lp}, func, *args, **kw)
>           File "/usr/lib/python2.5/site-packages/twisted/python/log.py", line 69, in callWithContext
>             return context.call({ILogContext: newCtx}, func, *args, **kw)
>           File "/usr/lib/python2.5/site-packages/twisted/python/context.py", line 59, in callWithContext
>             return self.currentContext().callWithContext(ctx, func, *args, **kw)
>           File "/usr/lib/python2.5/site-packages/twisted/python/context.py", line 37, in callWithContext
>             return func(*args,**kw)
>         --- <exception caught here> ---
>           File "/usr/lib/python2.5/site-packages/twisted/internet/epollreactor.py", line 210, in _doReadOrWrite
>             why = selectable.doRead()
>           File "/usr/lib/python2.5/site-packages/twisted/internet/tcp.py", line 460, in doRead
>             return self.protocol.dataReceived(data)
>           File "/usr/lib/python2.5/site-packages/twisted/words/xish/xmlstream.py", line 75, in dataReceived
>             self.stream.parse(data)
>           File "/usr/lib/python2.5/site-packages/twisted/words/xish/domish.py", line 759, in parse
>             self.parser.Parse(buffer)
>           File "/usr/lib/python2.5/site-packages/twisted/words/xish/domish.py", line 780, in _onStartElement
>             e = Element(qname, self.defaultNsStack[-1], attrs, self.localPrefixes)
>           File "/usr/lib/python2.5/site-packages/twisted/words/xish/domish.py", line 404, in __init__
>             self.uri, self.name = qname
>         exceptions.ValueError: too many values to unpack
> 
> I managed to 'fix' the problem, by changing line 762 of domish.py:
>    qname = name.split(" ")
> to:
>    qname = name.replace('  ', ' ').split(" ")
> 
> Because we were seeing values of name like [note the double space]:
>    http://www.xmpp.org/extensions/xep-0084.html#ns-data  data
> 
> which caused qname to contain more than 2 elements, later breaking the tuple unpacking.
> 
> At this point I should warn: While this change fixed pyaimt for us I have no understanding of the protocol and its entirely possible that my fix is totally inappropriate.

I have no idea whether the fix is appropriate or not, however your
change is in python-twisted-words, so I'm reassigning it to this
package.

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'pyaimt' to 'python-twisted-words'. Request was from Michal Čihař <nijel@debian.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 07:42:14 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions pyaimt/0.8.0.1-2. Request was from Michal Čihař <nijel@debian.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 07:42:15 GMT) Full text and rfc822 format available.

Bug Marked as found in versions twisted-words/10.0.0-2. Request was from Michal Čihař <nijel@debian.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 07:42:16 GMT) Full text and rfc822 format available.

Added indication that 583263 affects pyaimt Request was from Michal Čihař <nijel@debian.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 07:42:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#583263; Package python-twisted-words. (Wed, 16 Jun 2010 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Schmidt <mschmidt@redhat.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Wed, 16 Jun 2010 12:21:03 GMT) Full text and rfc822 format available.

Message #23 received at 583263@bugs.debian.org (full text, mbox):

From: Michal Schmidt <mschmidt@redhat.com>
Cc: 583263@bugs.debian.org
Subject: Re: Bug#583263: pyaimt: Fix for 'exceptions.ValueError: too many values to unpack'
Date: Wed, 16 Jun 2010 14:16:50 +0200
Hello,

The same bug is causing a crash in the Jabbim XMPP client in Fedora.
I filed a bug upstream with a (different) patch:
http://twistedmatrix.com/trac/ticket/4503

Michal




Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Thu, 24 Feb 2011 11:51:22 GMT) Full text and rfc822 format available.

Notification sent to ian <ian@comtek.co.uk>:
Bug acknowledged by developer. (Thu, 24 Feb 2011 11:51:22 GMT) Full text and rfc822 format available.

Message #28 received at 583263-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 583263-close@bugs.debian.org
Subject: Bug#583263: fixed in twisted-words 10.2.0-1
Date: Thu, 24 Feb 2011 11:50:28 +0000
Source: twisted-words
Source-Version: 10.2.0-1

We believe that the bug you reported is fixed in the latest version of
twisted-words, which is due to be installed in the Debian FTP archive:

python-twisted-words_10.2.0-1_all.deb
  to main/t/twisted-words/python-twisted-words_10.2.0-1_all.deb
twisted-words_10.2.0-1.debian.tar.gz
  to main/t/twisted-words/twisted-words_10.2.0-1.debian.tar.gz
twisted-words_10.2.0-1.dsc
  to main/t/twisted-words/twisted-words_10.2.0-1.dsc
twisted-words_10.2.0.orig.tar.bz2
  to main/t/twisted-words/twisted-words_10.2.0.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 583263@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated twisted-words package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 24 Feb 2011 12:26:04 +0100
Source: twisted-words
Binary: python-twisted-words
Architecture: source all
Version: 10.2.0-1
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 python-twisted-words - Chat and Instant Messaging
Closes: 583263
Changes: 
 twisted-words (10.2.0-1) unstable; urgency=low
 .
   * New upstream release.
     - Fix ValueError: too many values to unpack. Closes: #583263.
Checksums-Sha1: 
 e75b71af2b10c35831c12b36dd5971d5c5726605 1168 twisted-words_10.2.0-1.dsc
 514673c7f6ed3cd633523dc2a12d96d113d95c48 180104 twisted-words_10.2.0.orig.tar.bz2
 6b5d873720c33d085e292743fe336aa2225d2303 7729 twisted-words_10.2.0-1.debian.tar.gz
 ea6be4e8c2f170bb81d8a728c107eac2dcc2915b 233636 python-twisted-words_10.2.0-1_all.deb
Checksums-Sha256: 
 8948ed5eec3541eccf46b371e4693ab65862321d63d4b4e71a3f853dcf50dafe 1168 twisted-words_10.2.0-1.dsc
 aebd368c3d638208e28873c5b4262afc988e98fbb76076fb55c9d05388951ab5 180104 twisted-words_10.2.0.orig.tar.bz2
 2efca385101f0db177bc044a1483b8a23b6c1671d414feb238e102db839d864a 7729 twisted-words_10.2.0-1.debian.tar.gz
 75c5b25fa691d548defe3c815838bf3b3bad15ffe20971e3f437cae6d885c728 233636 python-twisted-words_10.2.0-1_all.deb
Files: 
 d795c00adc0a14220b48d856be738821 1168 python optional twisted-words_10.2.0-1.dsc
 9344d7d672e1d42ed683467cab53ee27 180104 python optional twisted-words_10.2.0.orig.tar.bz2
 ad83e47eefd718f64e96c567e2658160 7729 python optional twisted-words_10.2.0-1.debian.tar.gz
 388f7806a0f33569721bd73c64954629 233636 python optional python-twisted-words_10.2.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk1mQ4cACgkQStlRaw+TLJyVYACgxijrJ5otn+D9bVYSANuCFFF9
SFwAni6SJfccgpeOMRW9ml+uixwjOAd1
=0XTR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 08:30:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 17:02:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.